// src/holt_container_window.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "holt_container_window.hh"

using namespace sgpem;


  HoltContainerWindow::HoltContainerWindow(Simulation& simulation)
  : _holt_widget(simulation)
  {
    // This just sets the title of our new window.
    set_title(_("Holt Graph"));
    add(_holt_widget);
    _holt_widget.set_scaling_mode(CairoWidget::scaling_min);
    _holt_widget.show();
    _holt_widget.set_show_threads(true);
    //set_keep_above();
  }
  
  HoltContainerWindow::~HoltContainerWindow()
  {
  }
  
  void  HoltContainerWindow::on_size_request(Gtk::Requisition* /* requisition */ )
  {
    int height = get_height();
    int width  = get_width();
    // if height/width >=5/3
    if(height * 3 >= width * 5)
    {
      _holt_widget.set_arrange_mode(HoltWidget::arrange_vertical);
    }
    else if( width * 3 >= height * 5)
    {
      _holt_widget.set_arrange_mode(HoltWidget::arrange_horizontal);
    }
    else
    {
      _holt_widget.set_arrange_mode(HoltWidget::arrange_circular);
    }
  
  
  }

HoltWidget& HoltContainerWindow::get_holt_widget()
{
  return _holt_widget;
}

